Include /etc/apache2/sites-available/dominioinclude_test.abitaregliiblei.it.conf

# Configurazione per HTTP
<VirtualHost 65.108.222.97:80>
    ServerName ${MIODOMINIO_COMPLETO}
    DocumentRoot /var/www/${MIODOMINIO_COMPLETO}

    RewriteEngine on
    # Redirigi tutto il traffico HTTP verso HTTPS
    RewriteCond %{SERVER_NAME} =${MIODOMINIO_COMPLETO} [OR]
    RewriteCond %{SERVER_NAME} =www.${MIODOMINIO_COMPLETO}
    RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]

    ErrorLog /var/www/${MIODOMINIO_COMPLETO}/logs/error.log
    CustomLog /var/www/${MIODOMINIO_COMPLETO}/logs/access.log combined
</VirtualHost>


# Configurazione per HTTPS
<IfModule mod_ssl.c>
  <VirtualHost 65.108.222.97:443>
      ServerName ${MIODOMINIO_COMPLETO}
      DocumentRoot /var/www/${MIODOMINIO_COMPLETO}

      ErrorLog /var/www/${MIODOMINIO_COMPLETO}/logs/error.log
      CustomLog /var/www/${MIODOMINIO_COMPLETO}/logs/access.log combined

      <Directory /var/www/${MIODOMINIO_COMPLETO}/>
          Options -Indexes +IncludesNOEXEC +SymLinksIfOwnerMatch +ExecCGI
          AllowOverride All
          Require all granted
      </Directory>

      RewriteEngine on
      Include /etc/letsencrypt/options-ssl-apache.conf
      SSLCertificateFile /etc/letsencrypt/live/${MIODOMINIO}/fullchain.pem
      SSLCertificateKeyFile /etc/letsencrypt/live/${MIODOMINIO}/privkey.pem
  </VirtualHost>
</IfModule>